<div class="row">
  <div class="col-md-6">
    <h2>Register game account</h2>
    <p>Register a new account to login the the game servers.</p>
  </div>
  <div class="col-md-6">
    <h2>Bind VIP</h2>
    <p>Bind a VIP for your game account.</p>
  </div>
  <div class="col-12">
    <h2>Game accounts</h2>
    <p>Self service for your already created accounts.</p>
    <table class="table table-striped">
      <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">Username</th>
          <th scope="col">Status</th>
          <th scope="col">Action</th>
        </tr>
      </thead>
      <tbody>
        @for (acc of accounts; track acc.id) {
          <tr>
            <th scope="row">{{ acc.id }}</th>
            <td>{{ acc.userName }}</td>
            <td><span class="badge bg-success">Active</span></td>
            <td>
              <a class="icon-link" href="#">A</a>
            </td>
          </tr>
        }
      </tbody>
    </table>
    <div class="d-flex justify-content-between p-2">
      <ngb-pagination
        [collectionSize]="totalAccounts"
        [(page)]="page"
        [pageSize]="indexesPerPage"
        (pageChange)="refreshAccounts()"
      ></ngb-pagination>

      <select class="form-select" style="width: auto" [(ngModel)]="indexesPerPage" (ngModelChange)="refreshAccounts()">
        <option [ngValue]="10">10 items per page</option>
        <option [ngValue]="25">25 items per page</option>
        <option [ngValue]="50">50 items per page</option>
      </select>
    </div>
  </div>
</div>
